Bug 221919 - ghostscript renders figures incorrectly
ghostscript renders figures incorrectly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 17:36 EST by Andrew Schretter
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: F-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original PostScript code (20.97 KB, application/postscript)
2007-01-08 17:42 EST, Andrew Schretter
no flags Details
Correct rendering from ghostscript-7.07-41 (2.10 KB, image/png)
2007-01-08 17:43 EST, Andrew Schretter
no flags Details
Incorrect rendering of postscript in ghostscript-8.15.3-1.fc6 (2.08 KB, image/png)
2007-01-08 17:44 EST, Andrew Schretter
no flags Details

  None (edit)
Description Andrew Schretter 2007-01-08 17:36:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9

Description of problem:
My users have figures generated by gnuplot that render correctly
in some versions of ghostscript (notably ghostscript-7.07-41 from
Fedora Core 4) but are slightly off in ghostscript-8.15.3-1.fc6.

Attached are 3 files, the original postscript code, a png of the
proper rendering from 7.07-41 and a png of the improper rendering
from 8.15.3-1.fc6.  The proper rendering should show the curve intersecting
the two points on the x-axis.  The incorrect rendering has the curve just
missing the second point.

I also tested with ghostscript-8.15.2-8.1 and got different but still
incorrect results.  Testing with real ghostscript sources, 8.01 worked,
8.10 does not.

Version-Release number of selected component (if applicable):
ghostscript-8.15.3-1.fc6

How reproducible:
Always


Steps to Reproduce:
1.View postscript file in ghostscript-8.15.3-1.fc6
2.
3.

Actual Results:
Postscript was displayed incorrectly, curve did not intersect points
on X-axis

Expected Results:
The rendered postscript curve should have intersected the 2 points on the
X-axis

Additional info:
Comment 1 Andrew Schretter 2007-01-08 17:42:20 EST
Created attachment 145112 [details]
Original PostScript code
Comment 2 Andrew Schretter 2007-01-08 17:43:54 EST
Created attachment 145113 [details]
Correct rendering from ghostscript-7.07-41

Note how the curve intersects the 2 points on the X-axis
Comment 3 Andrew Schretter 2007-01-08 17:44:59 EST
Created attachment 145114 [details]
Incorrect rendering of postscript in ghostscript-8.15.3-1.fc6

Note how the curve does not intersect the second point on the X-axis
Comment 4 Bug Zapper 2008-04-04 01:31:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Tim Waugh 2008-04-04 06:39:37 EDT
This renders correctly with Fedora 8 (ghostscript-8.62-3.fc8).

Note You need to log in before you can comment on or make changes to this bug.